namespace EDAViewer.Models.Methods;

public interface IBackground
{

    void Catch(Exception exception);
    void ClearIsPrimaryInstance();
    void ClearMessage();
    void Dispose();
    bool IsPrimaryInstance();
    void SetIsPrimaryInstance();
    void Stop(bool immediate);
    void Update(int milliSeconds);

    string GetCountDirectory(string verb);

    void EDAOutputArchiveCallback();
    void EdaDataCollectionPlansCallback();
    void LogPathCleanUpByWeekCallback();
}