﻿#pragma warning disable IDE1006
#pragma warning disable CS8618

namespace EDAViewer.Singleton.Helper;

// NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
[System.Xml.Serialization.XmlRoot(Namespace = "", IsNullable = false)]
public partial class PDSFConfiguration
{

    private PDSFConfigurationSettings settingsField;

    private PDSFConfigurationDataCollection dataCollectionField;

    /// <remarks/>
    public PDSFConfigurationSettings Settings
    {
        get => this.settingsField;
        set => this.settingsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollection DataCollection
    {
        get => this.dataCollectionField;
        set => this.dataCollectionField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationSettings
{

    private bool logisticsValueTrimField;

    private bool parameterValueTrimField;

    private PDSFConfigurationSettingsCeidSettings ceidSettingsField;

    private bool generateDummyIfMissingMIDField;

    private bool requestCSAforTrustedWaferField;

    private string dummyMIDTimeFormatField;

    private PDSFConfigurationSettingsTimePrevDiffSettings timePrevDiffSettingsField;

    private string[] storagePathsField;

    private string filenameField;

    private bool isBackwardLogisticsEnabledField;

    private decimal timeColumnFormatField;

    private string writeEmptyLogisticsField;

    private bool resetLogisticsOnFileCutField;

    private string startTimeFormatField;

    private bool useRawDatabaseField;

    private bool usePdsfFileModeField;

    private bool yodaNotificationRequiredField;

    /// <remarks/>
    public bool LogisticsValueTrim
    {
        get => this.logisticsValueTrimField;
        set => this.logisticsValueTrimField = value;
    }

    /// <remarks/>
    public bool ParameterValueTrim
    {
        get => this.parameterValueTrimField;
        set => this.parameterValueTrimField = value;
    }

    /// <remarks/>
    public PDSFConfigurationSettingsCeidSettings CeidSettings
    {
        get => this.ceidSettingsField;
        set => this.ceidSettingsField = value;
    }

    /// <remarks/>
    public bool GenerateDummyIfMissingMID
    {
        get => this.generateDummyIfMissingMIDField;
        set => this.generateDummyIfMissingMIDField = value;
    }

    /// <remarks/>
    public bool RequestCSAforTrustedWafer
    {
        get => this.requestCSAforTrustedWaferField;
        set => this.requestCSAforTrustedWaferField = value;
    }

    /// <remarks/>
    public string DummyMIDTimeFormat
    {
        get => this.dummyMIDTimeFormatField;
        set => this.dummyMIDTimeFormatField = value;
    }

    /// <remarks/>
    public PDSFConfigurationSettingsTimePrevDiffSettings TimePrevDiffSettings
    {
        get => this.timePrevDiffSettingsField;
        set => this.timePrevDiffSettingsField = value;
    }

    /// <remarks/>
    public string[] StoragePaths
    {
        get => this.storagePathsField;
        set => this.storagePathsField = value;
    }

    /// <remarks/>
    public string Filename
    {
        get => this.filenameField;
        set => this.filenameField = value;
    }

    /// <remarks/>
    public bool IsBackwardLogisticsEnabled
    {
        get => this.isBackwardLogisticsEnabledField;
        set => this.isBackwardLogisticsEnabledField = value;
    }

    /// <remarks/>
    public decimal TimeColumnFormat
    {
        get => this.timeColumnFormatField;
        set => this.timeColumnFormatField = value;
    }

    /// <remarks/>
    public string WriteEmptyLogistics
    {
        get => this.writeEmptyLogisticsField;
        set => this.writeEmptyLogisticsField = value;
    }

    /// <remarks/>
    public bool ResetLogisticsOnFileCut
    {
        get => this.resetLogisticsOnFileCutField;
        set => this.resetLogisticsOnFileCutField = value;
    }

    /// <remarks/>
    public string StartTimeFormat
    {
        get => this.startTimeFormatField;
        set => this.startTimeFormatField = value;
    }

    /// <remarks/>
    public bool UseRawDatabase
    {
        get => this.useRawDatabaseField;
        set => this.useRawDatabaseField = value;
    }

    /// <remarks/>
    public bool UsePdsfFileMode
    {
        get => this.usePdsfFileModeField;
        set => this.usePdsfFileModeField = value;
    }

    /// <remarks/>
    public bool YodaNotificationRequired
    {
        get => this.yodaNotificationRequiredField;
        set => this.yodaNotificationRequiredField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationSettingsCeidSettings
{

    private bool isEnabledField;

    private object ceidField;

    /// <remarks/>
    public bool IsEnabled
    {
        get => this.isEnabledField;
        set => this.isEnabledField = value;
    }

    /// <remarks/>
    public object Ceid
    {
        get => this.ceidField;
        set => this.ceidField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationSettingsTimePrevDiffSettings
{

    private bool isEnabledField;

    /// <remarks/>
    public bool IsEnabled
    {
        get => this.isEnabledField;
        set => this.isEnabledField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollection
{

    private PDSFConfigurationDataCollectionStartTriggers startTriggersField;

    private PDSFConfigurationDataCollectionStopTriggers stopTriggersField;

    private PDSFConfigurationDataCollectionFileCutTriggers fileCutTriggersField;

    private PDSFConfigurationDataCollectionParameter[] parametersField;

    private PDSFConfigurationDataCollectionParameter1[] virtualParametersField;

    private PDSFConfigurationDataCollectionLogistics logisticsField;

    private PDSFConfigurationDataCollectionTrigger triggerField;

    private PDSFConfigurationDataCollectionFileWriterSettings fileWriterSettingsField;

    private PDSFConfigurationDataCollectionGeneralTriggers[] generalTriggersField;

    private string sourceField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStartTriggers StartTriggers
    {
        get => this.startTriggersField;
        set => this.startTriggersField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggers StopTriggers
    {
        get => this.stopTriggersField;
        set => this.stopTriggersField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileCutTriggers FileCutTriggers
    {
        get => this.fileCutTriggersField;
        set => this.fileCutTriggersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Parameter", IsNullable = false)]
    public PDSFConfigurationDataCollectionParameter[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Parameter", IsNullable = false)]
    public PDSFConfigurationDataCollectionParameter1[] VirtualParameters
    {
        get => this.virtualParametersField;
        set => this.virtualParametersField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogistics Logistics
    {
        get => this.logisticsField;
        set => this.logisticsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionTrigger Trigger
    {
        get => this.triggerField;
        set => this.triggerField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileWriterSettings FileWriterSettings
    {
        get => this.fileWriterSettingsField;
        set => this.fileWriterSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("GeneralTriggers")]
    public PDSFConfigurationDataCollectionGeneralTriggers[] GeneralTriggers
    {
        get => this.generalTriggersField;
        set => this.generalTriggersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Source
    {
        get => this.sourceField;
        set => this.sourceField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggers
{

    private PDSFConfigurationDataCollectionStartTriggersDCP dCPField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStartTriggersDCP DCP
    {
        get => this.dCPField;
        set => this.dCPField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggersDCP
{

    private PDSFConfigurationDataCollectionStartTriggersDCPDataPool dataPoolField;

    private string ruleField;

    private object descriptionField;

    private bool resetGlobalStopSettingsField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStartTriggersDCPDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    public string Rule
    {
        get => this.ruleField;
        set => this.ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public bool ResetGlobalStopSettings
    {
        get => this.resetGlobalStopSettingsField;
        set => this.resetGlobalStopSettingsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => this.resolveGlobalVariableBeforeTriggerField;
        set => this.resolveGlobalVariableBeforeTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggersDCPDataPool
{

    private PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStartTriggersDCPDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggers
{

    private PDSFConfigurationDataCollectionStopTriggersDCP dCPField;

    private int durationField;

    private int receiveTimeoutField;

    private int rowCountField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggersDCP DCP
    {
        get => this.dCPField;
        set => this.dCPField = value;
    }

    /// <remarks/>
    public int Duration
    {
        get => this.durationField;
        set => this.durationField = value;
    }

    /// <remarks/>
    public int ReceiveTimeout
    {
        get => this.receiveTimeoutField;
        set => this.receiveTimeoutField = value;
    }

    /// <remarks/>
    public int RowCount
    {
        get => this.rowCountField;
        set => this.rowCountField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCP
{

    private PDSFConfigurationDataCollectionStopTriggersDCPDataPool dataPoolField;

    private string ruleField;

    private object descriptionField;

    private PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool publishDocumentDataPoolField;

    private object publishDocumentRuleField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    private bool resetGlobalVariablesAfterTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggersDCPDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    public string Rule
    {
        get => this.ruleField;
        set => this.ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool PublishDocumentDataPool
    {
        get => this.publishDocumentDataPoolField;
        set => this.publishDocumentDataPoolField = value;
    }

    /// <remarks/>
    public object PublishDocumentRule
    {
        get => this.publishDocumentRuleField;
        set => this.publishDocumentRuleField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => this.resolveGlobalVariableBeforeTriggerField;
        set => this.resolveGlobalVariableBeforeTriggerField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResetGlobalVariablesAfterTrigger
    {
        get => this.resetGlobalVariablesAfterTriggerField;
        set => this.resetGlobalVariablesAfterTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCPDataPool
{

    private PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCPDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionStopTriggersDCPPublishDocumentDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileCutTriggers
{

    private int intervalField;

    private int rowCountField;

    /// <remarks/>
    public int Interval
    {
        get => this.intervalField;
        set => this.intervalField = value;
    }

    /// <remarks/>
    public int RowCount
    {
        get => this.rowCountField;
        set => this.rowCountField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameter
{

    private string idField;

    private string nameField;

    private string descriptionField;

    private object childsField;

    private object dataTypeField;

    private string hardWareIdField;

    private bool isArrayField;

    private bool repeatsOnSameLevelField;

    private bool isCyclicalField;

    private string fullNameField;

    private object separatorField;

    private bool isAutoGeneratedField;

    private PDSFConfigurationDataCollectionParameterConditions conditionsField;

    private object localVariablesField;

    private object arithmeticsField;

    private string name1Field;

    private string aliasField;

    private string positionField;

    private int orderField;

    private bool useField;

    /// <remarks/>
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public object Childs
    {
        get => this.childsField;
        set => this.childsField = value;
    }

    /// <remarks/>
    public object DataType
    {
        get => this.dataTypeField;
        set => this.dataTypeField = value;
    }

    /// <remarks/>
    public string HardWareId
    {
        get => this.hardWareIdField;
        set => this.hardWareIdField = value;
    }

    /// <remarks/>
    public bool IsArray
    {
        get => this.isArrayField;
        set => this.isArrayField = value;
    }

    /// <remarks/>
    public bool RepeatsOnSameLevel
    {
        get => this.repeatsOnSameLevelField;
        set => this.repeatsOnSameLevelField = value;
    }

    /// <remarks/>
    public bool IsCyclical
    {
        get => this.isCyclicalField;
        set => this.isCyclicalField = value;
    }

    /// <remarks/>
    public string FullName
    {
        get => this.fullNameField;
        set => this.fullNameField = value;
    }

    /// <remarks/>
    public object Separator
    {
        get => this.separatorField;
        set => this.separatorField = value;
    }

    /// <remarks/>
    public bool IsAutoGenerated
    {
        get => this.isAutoGeneratedField;
        set => this.isAutoGeneratedField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditions Conditions
    {
        get => this.conditionsField;
        set => this.conditionsField = value;
    }

    /// <remarks/>
    public object LocalVariables
    {
        get => this.localVariablesField;
        set => this.localVariablesField = value;
    }

    /// <remarks/>
    public object Arithmetics
    {
        get => this.arithmeticsField;
        set => this.arithmeticsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Name")]
    public string Name1
    {
        get => this.name1Field;
        set => this.name1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Alias
    {
        get => this.aliasField;
        set => this.aliasField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Position
    {
        get => this.positionField;
        set => this.positionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Order
    {
        get => this.orderField;
        set => this.orderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool Use
    {
        get => this.useField;
        set => this.useField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditions
{

    private PDSFConfigurationDataCollectionParameterConditionsConditionModel conditionModelField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModel ConditionModel
    {
        get => this.conditionModelField;
        set => this.conditionModelField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModel
{

    private string idField;

    private string nameField;

    private object descriptionField;

    private object conditionField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool conditionDataPoolField;

    private string formulaField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool formulaDataPoolField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool nameDataPoolField;

    /// <remarks/>
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public object Condition
    {
        get => this.conditionField;
        set => this.conditionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool ConditionDataPool
    {
        get => this.conditionDataPoolField;
        set => this.conditionDataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => this.formulaField;
        set => this.formulaField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool FormulaDataPool
    {
        get => this.formulaDataPoolField;
        set => this.formulaDataPoolField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool NameDataPool
    {
        get => this.nameDataPoolField;
        set => this.nameDataPoolField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameter1
{

    private string idField;

    private string nameField;

    private string descriptionField;

    private object childsField;

    private object dataTypeField;

    private string hardWareIdField;

    private bool isArrayField;

    private bool repeatsOnSameLevelField;

    private bool isCyclicalField;

    private string fullNameField;

    private object separatorField;

    private bool isAutoGeneratedField;

    private PDSFConfigurationDataCollectionParameterConditions1 conditionsField;

    private object localVariablesField;

    private object arithmeticsField;

    private string name1Field;

    private string aliasField;

    private string positionField;

    private int orderField;

    private bool useField;

    /// <remarks/>
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public object Childs
    {
        get => this.childsField;
        set => this.childsField = value;
    }

    /// <remarks/>
    public object DataType
    {
        get => this.dataTypeField;
        set => this.dataTypeField = value;
    }

    /// <remarks/>
    public string HardWareId
    {
        get => this.hardWareIdField;
        set => this.hardWareIdField = value;
    }

    /// <remarks/>
    public bool IsArray
    {
        get => this.isArrayField;
        set => this.isArrayField = value;
    }

    /// <remarks/>
    public bool RepeatsOnSameLevel
    {
        get => this.repeatsOnSameLevelField;
        set => this.repeatsOnSameLevelField = value;
    }

    /// <remarks/>
    public bool IsCyclical
    {
        get => this.isCyclicalField;
        set => this.isCyclicalField = value;
    }

    /// <remarks/>
    public string FullName
    {
        get => this.fullNameField;
        set => this.fullNameField = value;
    }

    /// <remarks/>
    public object Separator
    {
        get => this.separatorField;
        set => this.separatorField = value;
    }

    /// <remarks/>
    public bool IsAutoGenerated
    {
        get => this.isAutoGeneratedField;
        set => this.isAutoGeneratedField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditions1 Conditions
    {
        get => this.conditionsField;
        set => this.conditionsField = value;
    }

    /// <remarks/>
    public object LocalVariables
    {
        get => this.localVariablesField;
        set => this.localVariablesField = value;
    }

    /// <remarks/>
    public object Arithmetics
    {
        get => this.arithmeticsField;
        set => this.arithmeticsField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute("Name")]
    public string Name1
    {
        get => this.name1Field;
        set => this.name1Field = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Alias
    {
        get => this.aliasField;
        set => this.aliasField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Position
    {
        get => this.positionField;
        set => this.positionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Order
    {
        get => this.orderField;
        set => this.orderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool Use
    {
        get => this.useField;
        set => this.useField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditions1
{

    private PDSFConfigurationDataCollectionParameterConditionsConditionModel1 conditionModelField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModel1 ConditionModel
    {
        get => this.conditionModelField;
        set => this.conditionModelField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModel1
{

    private string idField;

    private string nameField;

    private string descriptionField;

    private object conditionField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1 conditionDataPoolField;

    private string formulaField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1 formulaDataPoolField;

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1 nameDataPoolField;

    /// <remarks/>
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public object Condition
    {
        get => this.conditionField;
        set => this.conditionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1 ConditionDataPool
    {
        get => this.conditionDataPoolField;
        set => this.conditionDataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => this.formulaField;
        set => this.formulaField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1 FormulaDataPool
    {
        get => this.formulaDataPoolField;
        set => this.formulaDataPoolField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1 NameDataPool
    {
        get => this.nameDataPoolField;
        set => this.nameDataPoolField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelConditionDataPool1
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPool1
{

    private PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelFormulaDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionParameterConditionsConditionModelNameDataPool1
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogistics
{

    private PDSFConfigurationDataCollectionLogisticsAttribute[] attributesField;

    private PDSFConfigurationDataCollectionLogisticsColumn[] columnsField;

    private PDSFConfigurationDataCollectionLogisticsTriggers triggersField;

    private string equipmentAliasField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Attribute", IsNullable = false)]
    public PDSFConfigurationDataCollectionLogisticsAttribute[] Attributes
    {
        get => this.attributesField;
        set => this.attributesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("Column", IsNullable = false)]
    public PDSFConfigurationDataCollectionLogisticsColumn[] Columns
    {
        get => this.columnsField;
        set => this.columnsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggers Triggers
    {
        get => this.triggersField;
        set => this.triggersField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string EquipmentAlias
    {
        get => this.equipmentAliasField;
        set => this.equipmentAliasField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsAttribute
{

    private string keyField;

    private int orderField;

    private string placeholderField;

    private bool useField;

    private bool addAsDataColumnField;

    private string attributeTypeField;

    private string dataColumnAliasField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Key
    {
        get => this.keyField;
        set => this.keyField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Order
    {
        get => this.orderField;
        set => this.orderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Placeholder
    {
        get => this.placeholderField;
        set => this.placeholderField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool Use
    {
        get => this.useField;
        set => this.useField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool AddAsDataColumn
    {
        get => this.addAsDataColumnField;
        set => this.addAsDataColumnField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string AttributeType
    {
        get => this.attributeTypeField;
        set => this.attributeTypeField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string DataColumnAlias
    {
        get => this.dataColumnAliasField;
        set => this.dataColumnAliasField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsColumn
{

    private int idField;

    private string prefixField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int ID
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Prefix
    {
        get => this.prefixField;
        set => this.prefixField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggers
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger updateTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger UpdateTrigger
    {
        get => this.updateTriggerField;
        set => this.updateTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTrigger
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest[] logisticRequestField;

    private bool incrementRuleField;

    private bool resolveGlobalVariableBeforeTriggerField;

    private string dCPField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("LogisticRequest")]
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest[] LogisticRequest
    {
        get => this.logisticRequestField;
        set => this.logisticRequestField = value;
    }

    /// <remarks/>
    public bool IncrementRule
    {
        get => this.incrementRuleField;
        set => this.incrementRuleField = value;
    }

    /// <remarks/>
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => this.resolveGlobalVariableBeforeTriggerField;
        set => this.resolveGlobalVariableBeforeTriggerField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string DCP
    {
        get => this.dCPField;
        set => this.dCPField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequest
{

    private int nameField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition callDefinitionField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool dataPoolField;

    private object incrementRuleField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys keysField;

    private string ruleField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition logisticIncrementConditionField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn logisticsColumnField;

    /// <remarks/>
    public int Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition CallDefinition
    {
        get => this.callDefinitionField;
        set => this.callDefinitionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    public object IncrementRule
    {
        get => this.incrementRuleField;
        set => this.incrementRuleField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys Keys
    {
        get => this.keysField;
        set => this.keysField = value;
    }

    /// <remarks/>
    public string Rule
    {
        get => this.ruleField;
        set => this.ruleField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition LogisticIncrementCondition
    {
        get => this.logisticIncrementConditionField;
        set => this.logisticIncrementConditionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn LogisticsColumn
    {
        get => this.logisticsColumnField;
        set => this.logisticsColumnField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinition
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute[] attributesField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("LogisticCallDefinitionAttribute", IsNullable = false)]
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute[] Attributes
    {
        get => this.attributesField;
        set => this.attributesField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttribute
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool dataPoolField;

    private string formulaField;

    private string logisticsKeyField;

    private string mappedParameterNameField;

    private string sourceField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => this.formulaField;
        set => this.formulaField = value;
    }

    /// <remarks/>
    public string LogisticsKey
    {
        get => this.logisticsKeyField;
        set => this.logisticsKeyField = value;
    }

    /// <remarks/>
    public string MappedParameterName
    {
        get => this.mappedParameterNameField;
        set => this.mappedParameterNameField = value;
    }

    /// <remarks/>
    public string Source
    {
        get => this.sourceField;
        set => this.sourceField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestCallDefinitionLogisticCallDefinitionAttributeDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPool
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters parametersField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParameters
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel scriptEditorDataPoolParameterModelField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel ScriptEditorDataPoolParameterModel
    {
        get => this.scriptEditorDataPoolParameterModelField;
        set => this.scriptEditorDataPoolParameterModelField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestDataPoolParametersScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeys
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName equipmentNameField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping keyMappingField;

    private int defaultCarrierIndexField;

    private string defaultJobIndexField;

    private int defaultSlotIndexField;

    private string scenarioField;

    private bool useAllRequestedDataField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName EquipmentName
    {
        get => this.equipmentNameField;
        set => this.equipmentNameField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping KeyMapping
    {
        get => this.keyMappingField;
        set => this.keyMappingField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int DefaultCarrierIndex
    {
        get => this.defaultCarrierIndexField;
        set => this.defaultCarrierIndexField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string DefaultJobIndex
    {
        get => this.defaultJobIndexField;
        set => this.defaultJobIndexField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int DefaultSlotIndex
    {
        get => this.defaultSlotIndexField;
        set => this.defaultSlotIndexField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Scenario
    {
        get => this.scenarioField;
        set => this.scenarioField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool UseAllRequestedData
    {
        get => this.useAllRequestedDataField;
        set => this.useAllRequestedDataField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysEquipmentName
{

    private string fixedNameField;

    private string parameterNameField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string FixedName
    {
        get => this.fixedNameField;
        set => this.fixedNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string ParameterName
    {
        get => this.parameterNameField;
        set => this.parameterNameField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMapping
{

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool dataPoolField;

    private string formulaField;

    private string keyNameField;

    private string parameterNameField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Formula
    {
        get => this.formulaField;
        set => this.formulaField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string KeyName
    {
        get => this.keyNameField;
        set => this.keyNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string ParameterName
    {
        get => this.parameterNameField;
        set => this.parameterNameField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestKeysKeyMappingDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementCondition
{

    private object ruleField;

    private PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool dataPoolField;

    /// <remarks/>
    public object Rule
    {
        get => this.ruleField;
        set => this.ruleField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticIncrementConditionDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionLogisticsTriggersUpdateTriggerLogisticRequestLogisticsColumn
{

    private int fixedField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public int Fixed
    {
        get => this.fixedField;
        set => this.fixedField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionTrigger
{

    private PDSFConfigurationDataCollectionTriggerDataPool dataPoolField;

    private object ruleField;

    private object descriptionField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionTriggerDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    public object Rule
    {
        get => this.ruleField;
        set => this.ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => this.resolveGlobalVariableBeforeTriggerField;
        set => this.resolveGlobalVariableBeforeTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionTriggerDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileWriterSettings
{

    private string usedFileWriterField;

    private PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings arrayInRowsSettingsField;

    private PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings parameterInRowsSettingsField;

    /// <remarks/>
    public string UsedFileWriter
    {
        get => this.usedFileWriterField;
        set => this.usedFileWriterField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings ArrayInRowsSettings
    {
        get => this.arrayInRowsSettingsField;
        set => this.arrayInRowsSettingsField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings ParameterInRowsSettings
    {
        get => this.parameterInRowsSettingsField;
        set => this.parameterInRowsSettingsField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileWriterSettingsArrayInRowsSettings
{

    private int logisticChangeExtendTimeField;

    private int extendTimeField;

    private int defaultValueForArrayInLinesField;

    private bool isEnabledField;

    /// <remarks/>
    public int LogisticChangeExtendTime
    {
        get => this.logisticChangeExtendTimeField;
        set => this.logisticChangeExtendTimeField = value;
    }

    /// <remarks/>
    public int ExtendTime
    {
        get => this.extendTimeField;
        set => this.extendTimeField = value;
    }

    /// <remarks/>
    public int DefaultValueForArrayInLines
    {
        get => this.defaultValueForArrayInLinesField;
        set => this.defaultValueForArrayInLinesField = value;
    }

    /// <remarks/>
    public bool IsEnabled
    {
        get => this.isEnabledField;
        set => this.isEnabledField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionFileWriterSettingsParameterInRowsSettings
{

    private bool isEnabledField;

    private string dataColumnNameField;

    private string logisticColumnNameField;

    private bool isGenerateHashCodeEnabledField;

    private string hashCodeColumnNameField;

    /// <remarks/>
    public bool IsEnabled
    {
        get => this.isEnabledField;
        set => this.isEnabledField = value;
    }

    /// <remarks/>
    public string DataColumnName
    {
        get => this.dataColumnNameField;
        set => this.dataColumnNameField = value;
    }

    /// <remarks/>
    public string LogisticColumnName
    {
        get => this.logisticColumnNameField;
        set => this.logisticColumnNameField = value;
    }

    /// <remarks/>
    public bool IsGenerateHashCodeEnabled
    {
        get => this.isGenerateHashCodeEnabledField;
        set => this.isGenerateHashCodeEnabledField = value;
    }

    /// <remarks/>
    public string HashCodeColumnName
    {
        get => this.hashCodeColumnNameField;
        set => this.hashCodeColumnNameField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggers
{

    private PDSFConfigurationDataCollectionGeneralTriggersDataPool dataPoolField;

    private object ruleField;

    private object descriptionField;

    private PDSFConfigurationDataCollectionGeneralTriggersVariableModel[] globalVariablesField;

    private string idField;

    private string nameField;

    private bool resolveGlobalVariableBeforeTriggerField;

    /// <remarks/>
    public PDSFConfigurationDataCollectionGeneralTriggersDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    public object Rule
    {
        get => this.ruleField;
        set => this.ruleField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("VariableModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionGeneralTriggersVariableModel[] GlobalVariables
    {
        get => this.globalVariablesField;
        set => this.globalVariablesField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public bool ResolveGlobalVariableBeforeTrigger
    {
        get => this.resolveGlobalVariableBeforeTriggerField;
        set => this.resolveGlobalVariableBeforeTriggerField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersDataPool
{

    private object parametersField;

    /// <remarks/>
    public object Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModel
{

    private string idField;

    private string nameField;

    private object descriptionField;

    private PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool dataPoolField;

    private string formulaField;

    private string parameterNameField;

    private string[] resolveBeforeTriggersField;

    /// <remarks/>
    public string Id
    {
        get => this.idField;
        set => this.idField = value;
    }

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public object Description
    {
        get => this.descriptionField;
        set => this.descriptionField = value;
    }

    /// <remarks/>
    public PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool DataPool
    {
        get => this.dataPoolField;
        set => this.dataPoolField = value;
    }

    /// <remarks/>
    public string Formula
    {
        get => this.formulaField;
        set => this.formulaField = value;
    }

    /// <remarks/>
    public string ParameterName
    {
        get => this.parameterNameField;
        set => this.parameterNameField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement("ResolveBeforeTriggers")]
    public string[] ResolveBeforeTriggers
    {
        get => this.resolveBeforeTriggersField;
        set => this.resolveBeforeTriggersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPool
{

    private PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel[] parametersField;

    /// <remarks/>
    [System.Xml.Serialization.XmlArrayItem("ScriptEditorDataPoolParameterModel", IsNullable = false)]
    public PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel[] Parameters
    {
        get => this.parametersField;
        set => this.parametersField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true)]
public partial class PDSFConfigurationDataCollectionGeneralTriggersVariableModelDataPoolScriptEditorDataPoolParameterModel
{

    private string nameField;

    private string valueField;

    /// <remarks/>
    public string Name
    {
        get => this.nameField;
        set => this.nameField = value;
    }

    /// <remarks/>
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }
}